GET api/v2/Type/GetType
Request Information
URI Parameters
None.
Body Parameters
TypeModels| Name | Description | Type | Additional information |
|---|---|---|---|
| intTypeID | integer |
None. |
|
| intParentID | integer |
None. |
|
| strTypeName | Collection of LanguageTextModel |
None. |
|
| intValue | integer |
None. |
|
| strAbbr | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"intTypeID": 1,
"intParentID": 2,
"strTypeName": [
{
"intLanguageID": 1,
"strText": "sample string 2"
},
{
"intLanguageID": 1,
"strText": "sample string 2"
}
],
"intValue": 3,
"strAbbr": "sample string 4"
}
application/xml, text/xml
Sample:
<TypeModels xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/XS2.WMSWebApiV2.Models">
<intParentID>2</intParentID>
<intTypeID>1</intTypeID>
<intValue>3</intValue>
<strAbbr>sample string 4</strAbbr>
<strTypeName>
<LanguageTextModel>
<intLanguageID>1</intLanguageID>
<strText>sample string 2</strText>
</LanguageTextModel>
<LanguageTextModel>
<intLanguageID>1</intLanguageID>
<strText>sample string 2</strText>
</LanguageTextModel>
</strTypeName>
</TypeModels>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |